CustomDynamicEntityDataSource class final

A DynamicEntityDataSource driven by a user-defined CustomDynamicEntityDataProvider that emits CustomDynamicEntityDataEvents.

This can be useful if you have data coming in from a dynamic data source and you would like that data in the form of a DynamicEntityDataSource so that it can interface with other ArcGIS APIs.

Inheritance

Constructors

CustomDynamicEntityDataSource(CustomDynamicEntityDataProvider dataProvider)
Constructs a CustomDynamicEntityDataSource with a CustomDynamicEntityDataProvider.
factory

Properties

connectionError → ArcGISException?
The current network connection ArcGISException.
no setterinherited
connectionStatus → ConnectionStatus
The current network connection status of the DynamicEntityDataSource.
no setteroverride
hashCode → int
The hash code for this object.
no setterinherited
loadError → ArcGISException?
The load error.
no setterinherited
loadStatus → LoadStatus
The load status.
no setterinherited
maximumReconnectionAttempts ↔ int
The maximum number of attempts to reconnect after a connection fails.
getter/setter pairinherited
onConnectionStatusChanged → Stream<ConnectionStatus>
Notification that the DynamicEntityDataSource.connectionStatus has changed.
no setterinherited
onDynamicEntityObservationPurged → Stream<DynamicEntityObservationInfo>
Notification that a DynamicEntityObservation was purged.
no setterinherited
onDynamicEntityObservationReceived → Stream<DynamicEntityObservationInfo>
Notification that a new DynamicEntityObservation was received.
no setterinherited
onDynamicEntityPurged → Stream<DynamicEntityInfo>
Notification that a DynamicEntity was purged.
no setterinherited
onDynamicEntityReceived → Stream<DynamicEntityInfo>
Notification that a new DynamicEntity was received.
no setterinherited
onLoadStatusChanged → Stream<LoadStatus>
A stream that reports changes to the LoadStatus.
no setterinherited
purgeOptions → DynamicEntityDataSourcePurgeOptions
A DynamicEntityDataSourcePurgeOptions that defines when observations are purged from the local data cache.
no setterinherited
reconnectionInterval ↔ double
The time (in seconds) to wait between attempts to reconnect.
getter/setter pairinherited
runtimeType → Type
A representation of the runtime type of the object.
no setterinherited

Methods

cancelLoad() → void
Cancels loading metadata for the object.
inherited
connect() → Future<void>
Connects to a service that provides dynamic entity observations.
override
disconnect() → Future<void>
Closes the connection to a service.
override
dispose() → void
Dispose of the data source and its subscriptions.
load() → Future<void>
Loads the metadata for the object asynchronously.
inherited
noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
purgeAll() → Future<void>
Removes all dynamic entity observations from the in-memory data cache as well as from the map or scene.
inherited
queryDynamicEntities(DynamicEntityQueryParameters parameters) → Future<DynamicEntityQueryResult>
Returns all dynamic entities currently matching the specified query parameters.
inherited
queryDynamicEntitiesByTrackIds(List<String> trackIds) → Future<DynamicEntityQueryResult>
Returns all dynamic entities with track ID values that match the specified list of track IDs.
inherited
retryLoad() → Future<void>
Loads or retries loading metadata for the object asynchronously.
inherited
toString() → String
A string representation of this object.
inherited

Operators

operator ==(Object other) → bool
The equality operator.
inherited